Bug 117643 - devel/ncurses fails to build if WRKDIRPREFIX is set
Summary: devel/ncurses fails to build if WRKDIRPREFIX is set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-29 21:00 UTC by Stefan Sperling
Modified: 2008-03-31 08:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.08 KB, patch)
2007-10-29 21:00 UTC, Stefan Sperling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Sperling 2007-10-29 21:00:04 UTC
	Tyring to compile mutt with wide char support, I hit a problem
	building the devel/ncurses port.

	After running the configure script for devel/ncurses the first
	time, make failed complaining about not knowing how to run do-configure.

	The port's Makefile tries to run the configure script twice
	(each time with different options), the second time by calling
	the do-configure target again.
	It does the same for do-build and do-install.
	
	If WRKDIRPREFIX is set, it apparently tries to run these target
	inside the ncurses source tree, and not in the
	/usr/ports/devel/ncurses directory.

	This is obviously wrong.

	I have 'WRKDIRPREFIX=/usr/obj' in /etc/make.conf.

Fix: This patch fixes the problem for me:
How-To-Repeat: 	Set WRKDIRPREFIX=/usr/obj in /etc/make.conf, try to compile
	the Äevel/ncurses port.
Comment 1 Edwin Groothuis freebsd_committer 2007-10-30 04:30:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Rong-En Fan freebsd_committer 2007-10-30 06:27:24 UTC
State Changed
From-To: open->closed

Fixed.
Comment 3 dfilter service freebsd_committer 2007-10-30 13:47:41 UTC
rafan       2007-10-30 06:27:08 UTC

  FreeBSD ports repository

  Modified files:
    devel/ncurses        Makefile 
  Log:
  - Fix build/install when WRKDIRPREFIX is set
  
  PR:             ports/117643
  Reported by:    Stefan Sperling <stsp at stsp.name>
  
  Revision  Changes    Path
  1.48      +3 -3      ports/devel/ncurses/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2007-10-31 07:30:30 UTC
rafan       2007-10-31 02:18:25 UTC

  FreeBSD ports repository

  Modified files:
    devel/ncurses-devel  Makefile 
  Log:
  - Fix build/install when WRKDIRPREFIX is set
  
  PR:             ports/117643
  Reported by:    Stefan Sperling <stsp at stsp.name> (for devel/ncurses)
  Approved by:    portmgr (marcus)
  
  Revision  Changes    Path
  1.64      +3 -3      ports/devel/ncurses-devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Stefan Sperling 2008-03-30 20:29:26 UTC
Please re-open! This problem is still present.

I just hit it again while recompiling all my ports
after upgrading from 6.3 to 7.0.

The patch that was applied differs from my patch:
http://www.freebsd.org/cgi/cvsweb.cgi/ports/devel/ncurses/Makefile.diff?r1=1.47;r2=1.48

Using my original patch fixed it again for me.

-- 
stefan
http://stsp.name                                         PGP Key: 0xF59D25F0
Comment 6 Rong-En Fan freebsd_committer 2008-03-31 04:07:25 UTC
State Changed
From-To: closed->open

Need to investigate why submitter's approach does not  
work for me.
Comment 7 dfilter service freebsd_committer 2008-03-31 08:26:16 UTC
rafan       2008-03-31 07:26:11 UTC

  FreeBSD ports repository

  Modified files:
    devel/ncurses        Makefile 
  Log:
  - Really fix build when WRKDIRPREFIX [1]
    I don't know why the current approach works in my previous test. Now
    really fix the build by changing to .CURDIR (where the port lives).
    Note that I use .CURDIR instead of PORTSDIR/PKGORIGIN as the port may
    live outside somewhere else.
  - Respect PORTEXAMPLES
  - Add trailing slash for destination directory
  
  PR:             ports/117643 [1]
  Submitted by:   Stefan Sperling <stsp at stsp.name> [1]
  
  Revision  Changes    Path
  1.49      +19 -13    ports/devel/ncurses/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2008-03-31 08:26:52 UTC
rafan       2008-03-31 07:26:48 UTC

  FreeBSD ports repository

  Modified files:
    devel/ncurses-devel  Makefile distinfo 
  Log:
  - Update to 5.6 snapshot 20080329
  - Really fix build when WRKDIRPREFIX [1]
    I don't know why the current approach works in my previous test. Now
    really fix the build by changing to .CURDIR (where the port lives).
    Note that I use .CURDIR instead of PORTSDIR/PKGORIGIN as the port may
    live outside somewhere else.
  - Add trailing slash for destination directory
  
  PR:             ports/117643 [1]
  Submitted by:   Stefan Sperling <stsp at stsp.name> [1]
  
  Revision  Changes    Path
  1.75      +13 -10    ports/devel/ncurses-devel/Makefile
  1.40      +3 -0      ports/devel/ncurses-devel/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Rong-En Fan freebsd_committer 2008-03-31 08:27:10 UTC
State Changed
From-To: open->closed

Really fixed.